﻿@using App.Class
@model IList<App.Class.TestArticle>

@{ Html.RenderAction("SidemenuText", "Menu");}

<div class="dashboard-wrapper">
    <div class="container-fluid dashboard-content">

        @if (TempData["message-success"] != null)
        {
            <div class="alert alert-success alert-dismissible" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
                @TempData["message-success"]
            </div>
        }
        else if (TempData["error"] != null)
        {
            <div class="alert alert-danger alert-dismissible" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
                @TempData["error"]
            </div>
        }
        <div class="form-inline mt-2 mt-md-0 mb-4">
            @using (Ajax.BeginForm("SearchT", new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }))
            {
                <input class="form-control mr-sm-2" type="text" placeholder="Vyhledávání" aria-label="Vyhledejte frázi" id="searchBox" name="phrase">
                <button class="btn btn-outline-success my-2 my-sm-0" type="submit" style="margin-right: 15px">Vyhledat</button>
            }
        </div>
        <div class="clearfix"></div>

        <table class="table">
            <thead class="thead-dark">
                <tr>
                    <th scope="col">Článek</th>
                    <th scope="col">Autor článku</th>
                    <th scope="col">Úprava</th>
                    <th scope="col"></th>
                    <th scope="col">Testy</th>
                </tr>
            </thead>
            <tbody>
                @foreach (TestArticle b in Model)
                {
                    <tr>
                        <td>@Ajax.ActionLink(b.Article.Name, "Detail", new { id = b.Article.Id }, new AjaxOptions() { UpdateTargetId = "dynamicContent" })</td>
                        <td>@b.Article.Author</td>
                        <td>@Ajax.ActionLink("Upravit", "EditArticle", "Text", new { id = b.Article.Id }, new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace })</td>
                        <td>@Html.ActionLink("Odstranit", "Delete", "Text", new { id = b.Article.Id }, new { onclick = "return confirm('Přejete si opravdu odstranit tento článek " + b.Article.Name + " ?');" })</td>
                        @if (b.Article.TestId != 0)
                        {
                            if (b.Test.Published)
                            {
                                <td>@Html.ActionLink("Upravit", "CreateTestPage", "Test", new { articleId = b.Article.Id, testId = b.Article.TestId }, null)</td>

                            }
                            else
                            {
                                <td>@Html.ActionLink("Nepublikovaný", "CreateTestPage", "Test", new { articleId = b.Article.Id, testId = b.Article.TestId }, null)</td>

                            }
                        }
                        else
                        {
                            <td>@Html.ActionLink("Vytvořit", "CreateTestPage", "Test", new { articleId = b.Article.Id, testId = b.Article.TestId }, null)</td>
                        }
                    </tr>
                }
            </tbody>
        </table>
    </div>
</div>

<script type="text/javascript">
    $(function () {
        $("#searchBox").autocomplete({
            source: function (request, response) {
                $.ajax({
                    url:'@Url.Action("SearchArticles", "Text")',
                    dataType: "json",
                    data: {
                        query: request.term
                    },
                    success: function (data) {
                        response(data);
                    }
                });
            },
            minLength: 2
        });
    });
</script>